/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PojoSE.java 676 2006-06-27 15:44:03Z alouis $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.se.pojo;

import java.util.HashMap;
import java.util.Map;

import javax.jbi.servicedesc.ServiceEndpoint;

import org.ow2.petals.component.framework.se.AbstractServiceEngine;



public class PojoSE extends AbstractServiceEngine {

	private Map<ServiceEndpoint, Pojo> pojos;

	public void doInit(){
		pojos = new HashMap<ServiceEndpoint, Pojo>();
	}

	public Map<ServiceEndpoint, Pojo> getPojos(){
		return pojos;
	}
}
